Skip to main content
POST
/
series
/
create
Create series
curl --request POST \
  --url https://api.thehaystack.ai/v2/haystack/series/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "collectionId": 123,
  "subTitle": "<string>",
  "description": "<string>",
  "shortDescription": "<string>",
  "urlSlug": "<string>",
  "colorHex": "#4F46E5",
  "sortOrder": 123,
  "itemSortDirection": "ASC",
  "showItemOrderInSeries": true,
  "published": true,
  "items": [
    123
  ]
}
'
{
  "series": {
    "id": 123,
    "title": "The Gospel of John",
    "subTitle": "<string>",
    "collectionId": 123,
    "description": "<string>",
    "shortDescription": "<string>",
    "sortOrder": 123,
    "itemSortDirection": "DESC",
    "showItemOrderInSeries": true,
    "urlSlug": "<string>",
    "colorHex": "#FF5733",
    "squareImgUrl": "<string>",
    "wideImgUrl": "<string>",
    "ultraWideImgUrl": "<string>",
    "published": true,
    "verticalImgUrl": "<string>",
    "squareImgMetadata": {},
    "wideImgMetadata": {},
    "ultraWideImgMetadata": {},
    "verticalImgMetadata": {},
    "items": [
      {
        "id": 123,
        "title": "The Power of Prayer",
        "subTitle": "<string>",
        "description": "<string>",
        "shortDescription": "<string>",
        "date": "2025-01-15",
        "collectionId": 123,
        "seriesId": 123,
        "orderInSeries": 123,
        "urlSlug": "<string>",
        "durationSecs": 123,
        "status": "draft",
        "wizardStep": "basicDetails",
        "publishedDate": "2023-11-07T05:31:56Z",
        "autoPublish": true,
        "squareImgUrl": "<string>",
        "wideImgUrl": "<string>",
        "ultraWideImgUrl": "<string>",
        "verticalImgUrl": "<string>",
        "entryDate": "2023-11-07T05:31:56Z",
        "collection": {
          "id": 1,
          "name": "Sunday Sermons",
          "itemDescriptor": "sermon",
          "contentFormat": "sermon",
          "fullService": false,
          "variantTypes": [
            {
              "id": 123,
              "name": "Sermon Video",
              "contentType": "video",
              "indexable": true,
              "displayOrder": 123,
              "collectionId": 123
            }
          ]
        },
        "series": "<unknown>",
        "speakers": [
          {
            "id": 123,
            "name": "Pastor John Smith",
            "bio": "<string>",
            "imageUrl": "<string>",
            "imageFilename": "<string>",
            "itemCount": 123
          }
        ],
        "scriptures": [
          {
            "id": 123,
            "itemId": 123,
            "book": "<string>",
            "bookName": "Matthew",
            "chapter": 123,
            "verseStart": 123,
            "verseEnd": 123,
            "keyVerse": true,
            "suggested": true,
            "accepted": true,
            "displayOrder": 123,
            "citation": "Matthew 5:1-12",
            "hidden": true
          }
        ],
        "mediaAssets": [
          {
            "id": 123,
            "itemId": 123,
            "item": "<unknown>",
            "contentType": "audio",
            "mimeType": "<string>",
            "variantTypeId": 123,
            "variantType": {
              "id": 123,
              "name": "Sermon Video",
              "contentType": "video",
              "indexable": true,
              "displayOrder": 123,
              "collectionId": 123
            },
            "fileSizeBytes": 123,
            "durationSecs": 123,
            "bitrate": 123,
            "videoWidth": 123,
            "videoHeight": 123,
            "filename": "<string>",
            "originalFilename": "<string>",
            "externalPlatform": "youtube",
            "externalPlatformId": "<string>",
            "muxAssetId": "<string>",
            "muxPlaybackId": "<string>",
            "status": "created",
            "url": "<string>",
            "downloadUrl": "<string>",
            "chapters": [
              {
                "id": 123,
                "itemId": 123,
                "mediaAssetId": 123,
                "title": "Introduction",
                "startMs": 123,
                "suggested": true,
                "accepted": true,
                "hidden": true
              }
            ],
            "entryDate": "2023-11-07T05:31:56Z"
          }
        ],
        "resources": [
          {
            "id": 123,
            "itemId": 123,
            "title": "<string>",
            "subTitle": "<string>",
            "description": "<string>",
            "resourceTypeId": 123,
            "displayOrder": 123,
            "contentType": "file",
            "fileMimeType": "<string>",
            "fileSizeBytes": 123,
            "externalPlatform": "youtube",
            "externalPlatformId": "<string>",
            "thumbnailImgUrl": "<string>",
            "url": "<string>",
            "resourceType": {
              "id": 123,
              "name": "<string>"
            },
            "linkTarget": "<string>"
          }
        ],
        "suggestedDescription": "<string>",
        "suggestedShortDescription": "<string>",
        "errorMessage": "<string>",
        "indexedMediaAssetId": 123,
        "autoAcceptScriptures": true,
        "autoAcceptMediaChapters": true,
        "transcriptUrl": "<string>",
        "topics": [
          {
            "id": 123,
            "name": "<string>",
            "itemCount": 123
          }
        ],
        "squareImgMetadata": {},
        "wideImgMetadata": {},
        "ultraWideImgMetadata": {},
        "verticalImgMetadata": {}
      }
    ],
    "collection": {
      "id": 1,
      "name": "Sunday Sermons",
      "itemDescriptor": "sermon",
      "contentFormat": "sermon",
      "fullService": false,
      "variantTypes": [
        {
          "id": 123,
          "name": "Sermon Video",
          "contentType": "video",
          "indexable": true,
          "displayOrder": 123,
          "collectionId": 123
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Enter your API token from the Haystack dashboard

Body

application/json
title
string
required
collectionId
integer
required
subTitle
string | null
description
string | null
shortDescription
string | null
urlSlug
string | null
colorHex
string | null
Example:

"#4F46E5"

sortOrder
integer | null
itemSortDirection
enum<string> | null
Available options:
ASC,
DESC
showItemOrderInSeries
boolean | null
published
boolean | null
items
integer[] | null

Item IDs to associate

Response

200 - application/json

Created series

series
object